//---------------------------------------------------------
//  RG Basic Tools Collection
//  Copyright © 2004 -2009 Ronald D. Grindle
//---------------------------------------------------------
/*
 * Created on Jun 30, 2004
 *
 */
package com.qanavigation.DBacc;

import com.qanavigation.Basics.*;

/**
 * @author RDG
 *
 */
public interface IDBaccBase extends ISQLRslt {
	
	public SQLRslt chkConn();
	public SQLRslt chkReconn();
	
	public SQLRslt close();
	public SQLRslt commit();
	
	public SQLRslt addBLOB( String p_TblName, String p_KeyCol, String p_Key, String p_ContentCol, byte[] p_Content );
	
	public String escapeStr2( String p_Str );

	public SQLRslt execNoData( String p_Query );
	
	public RsltTable execRead( String p_Query, String[] p_ColNames );
	
	public SQLRslt insert( QuerySet p_Qset );	
	
	boolean lastInsertDbl( ISQLRslt p_SQLRes );
	
	public SQLRslt rollBack();
	
	public SQLRslt startTrans();

	public String unescapeStr( String p_Str );
	
	public SQLRslt update( QuerySet p_Qset );	
}
